Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.jmx
Interface AggreMBeanIntf

public interface AggreMBeanIntf

This interface contains the operations that are exposed as the operations of AggreMBean. The following shows a list of properties that can be used in the operations of AggreMBean.

oracle.dms.jmx.include.schema
  Whether to include `Schema`s in results. Acceptable values are `true`" or "`false`". The default is "`true`".
oracle.dms.jmx.include.rows
  Whether to include `Row`s in results. Acceptable values are "`true`" or "`false`". The default is "`true`".
oracle.dms.jmx.ecid
  ECID for this request. It will show at the end of log messages.
oracle.dms.jmx.timeout
  Duration in milliseconds for this request to timeout.
oracle.dms.jmx.level
  Logging level for this request. Acceptable values are "`INFO`", "`FINE`", "`FINER`", "`FINEST`".
oracle.dms.jmx.interval
  Approximate duration in milliseconds till next retrieval.

Since:
  Oracle Application Server 10g (10.1.3)

Method Summary
`java.lang.String[]` | `getTableNames(NamedValue[] properties)` Gets an array of table names.
`Table[]` | `getTables(java.lang.String[] tableNames, NamedValue[] values, NamedValue[] properties)` Gets an array of `Table` in the same order as the given table names.
`Table[]` | `queryTables(java.lang.String adml, java.lang.String[] tableNames, NamedValue[] values, NamedValue[] properties)` Gets an array of `Table` in the same order as the given table names according to the given ADML document.
`int` | `tableCount(NamedValue[] properties)` Returns number of `Table`s.

Method Detail

### getTableNames

    public java.lang.String[] getTableNames(NamedValue[] properties)

  Gets an array of table names.
  Parameters:
    `properties` - a list of name-value pairs containing auxilary information for this method.
  Returns:
    an array of table names.
  Since:
    Oracle Application Server 10g (10.1.3)

### tableCount

    public int tableCount(NamedValue[] properties)

  Returns number of `Table`s.
  Parameters:
    `properties` - a list of name-value pairs containing auxilary information for this method.
  Returns:
    number of `Table`s.
  Since:
    Oracle Application Server 10g (10.1.3)

### getTables

    public Table[] getTables(java.lang.String[] tableNames,
                             NamedValue[] values,
                             NamedValue[] properties)

  Gets an array of `Table` in the same order as the given table names. For a given table name, if there is no such `Table`, the corresponding element in the return array will be filled with `null`.
  Parameters:
    `tableNames` - a array of table names.
    `values` - variable values used for parameterized query by metric rules.
    `properties` - a list of name-value pairs containing auxilary information for this method.
  Returns:
    an array of `Table`.
  Since:
    Oracle Application Server 10g (10.1.3)

### queryTables

    public Table[] queryTables(java.lang.String adml,
                               java.lang.String[] tableNames,
                               NamedValue[] values,
                               NamedValue[] properties)
                        throws AdmlException

  Gets an array of `Table` in the same order as the given table names according to the given ADML document. For a given table name, if there is no such `Table`, the corresponding element in the return array will be filled with `null`.
  Parameters:
    `adml` - ADML document
    `tableNames` - a array of table names.
    `values` - variable values used for parameterized query by metric rules.
    `properties` - a list of name-value pairs containing auxilary information for this method.
  Returns:
    an array of `Table`.
  Throws:
    `AdmlException` - if an error occurred
  Since:
    Oracle Application Server 10g (10.1.3)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.